Extensionfields - Query

GET https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/extensionfields?scopeFilter={scopeFilter}&api-version=7.2-preview.1

URI パラメーター

Name / 必須 型 説明
organization
path True

string

Azure DevOps 組織の名前です。

project
path True

string

プロジェクト ID またはプロジェクト名

api-version
query True

string

使う API のバージョン。 このバージョンの API を使用するには、これを '7.2-preview.1' に設定する必要があります。

scopeFilter
query True

CustomTestFieldScope

応答

Name 型 説明
200 OK

CustomTestFieldDefinition[]

正常な操作

セキュリティ

oauth2

型: oauth2
フロー: accessCode
Authorization URL (承認 URL): https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL (トークン URL): https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

スコープ

Name 説明
vso.test テスト 計画、ケース、結果、その他のテスト管理関連の成果物を読み取る機能を付与します。

定義

Name 説明
CustomTestFieldDefinition
CustomTestFieldScope
CustomTestFieldType

CustomTestFieldDefinition

Name 型 説明
fieldId

integer

fieldName

string

fieldType

CustomTestFieldType

scope

CustomTestFieldScope

CustomTestFieldScope

値 説明
none
testRun
testResult
testRunAndTestResult
system
all

CustomTestFieldType

値 説明
bit
dateTime
int
float
string
guid